<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Response;
        
class CustomerContactInformationResponse 
{
    public string $id;
    public string $name;
    /** @var \Bushelpowered\Api\Aggregator\Crm\V1\Response\CustomerInformationResponse[] $phones */
    public array $phones;
    /** @var \Bushelpowered\Api\Aggregator\Crm\V1\Response\CustomerInformationResponse[] $emails */
    public array $emails;
    /** @var \Bushelpowered\Api\Aggregator\Crm\V1\Response\CustomerAddressResponse[] $addresses */
    public array $addresses;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Crm\V1\Response\CustomerInformationResponse[]  $phones 
     * @param  \Bushelpowered\Api\Aggregator\Crm\V1\Response\CustomerInformationResponse[]  $emails 
     * @param  \Bushelpowered\Api\Aggregator\Crm\V1\Response\CustomerAddressResponse[]  $addresses 
     */
    public function __construct(string $id, string $name, array $phones, array $emails, array $addresses)
    {
        $this->id = $id;
        $this->name = $name;
        $this->phones = $phones;
        $this->emails = $emails;
        $this->addresses = $addresses;
    }
    

}